%global module_name qserve

Name:           python-%{module_name}
Version:        0.2.7
Release:        1%{?dist}
Summary:        Job queue server

License:        BSD
URL:            https://github.com/pediapress/qserve
Source0:        http://pypi.python.org/packages/source/q/qserve/%{module_name}-%{version}.zip

BuildArch:      noarch
BuildRequires:  python2-devel
Requires:       python-gevent
Requires:       python-simplejson

%description
qserve is a job queue server written in Python.


%prep
%setup -qn %{module_name}-%{version}
sed -i '/^#!/d' qs/*.py


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%files
%doc README.rst
%{python_sitelib}/*


%changelog
* Wed Feb 15 2012 Ian Weller <iweller@redhat.com> - 0.2.7-1
- Update to 0.2.7 (gevent compatibility)
- Change BuildRequires: python2-devel
- Add Requires: python-gevent python-simplejson
- rm rm -rf in install section

* Fri Jan 13 2012 Ian Weller <iweller@redhat.com> - 0.2.6-1
- Initial package build
